Subject: Re: [PATCH 0/2] HTB scheduler HTB_HYSTERESIS modifications

From: Martin Devera <[email-masked]>
Date: Sat, 14 Jun 2008 11:18:00 +0200

> I have now tested/deployed the patches on two production servers.
> 
>  Conclusion is: It should be safe to apply these patches.
> 
> See full report here:
> http://people.netfilter.org/hawk/patches/htb_nohyst/production_test_results.html
> 
> We saw an increased number of interrupts on the test system, when
> enabling/disabling htb_hysteresis.
> 
>  This didn't show up on the production system.
> 
> I believe that the increased intr (on test system) is an artifact of the
> TCP download got less bursty and more smooth.

Which reminds me again, maybe after some time with hysteresis=off we 
could remove it altogether...

Sorry for the delay, I got some flu or what. On my smaller dualcore 
system there is also no noticeable (performance) impact.

I ACK Jesper's patches, thanks for the work and real-world testing!

Martin